# QualityModelColumnOrientedNonUniformEntropy
Date: 2019-11-17

org.deidentifier.arx.aggregates.quality

## Class QualityModelColumnOrientedNonUniformEntropy

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityModelColumnOrientedNonUniformEntropy

    public class QualityModelColumnOrientedNonUniformEntropy
    extends java.lang.Object

Implementation of the Non-Uniform Entropy measure that can handle local recoding. Enhanced model supporting local recoding as presented in:
Fabian Prasser, Raffael Bild, Klaus A. Kuhn. "A Generic Method for Assessing the Quality of De-Identified Health Data." Proceedings of MIE 2016, IOS Press, August 2016.
Original model, see:
A. De Waal and L. Willenborg: "Information loss through global recoding and local suppression" Netherlands Off Stat, vol. 14, pp. 17-20, 1999.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description

`QualityModelColumnOrientedNonUniformEntropy(WrappedBoolean interrupt, WrappedInteger progress, int totalWorkload, DataHandle input, DataHandle output, int suppressedInput, int suppressedOutput, Groupify<TupleWrapper> groupedInput, Groupify<TupleWrapper> groupedOutput, java.lang.String[][][] hierarchies, QualityDomainShare[] shares, int[] indices, QualityConfiguration config)`
Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`QualityMeasureColumnOriented` `evaluate()` Evaluates the utility measure

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityModelColumnOrientedNonUniformEntropy

    public QualityModelColumnOrientedNonUniformEntropy(WrappedBoolean interrupt,
                                                       WrappedInteger progress,
                                                       int totalWorkload,
                                                       DataHandle input,
                                                       DataHandle output,
                                                       int suppressedInput,
                                                       int suppressedOutput,
                                                       Groupify<TupleWrapper> groupedInput,
                                                       Groupify<TupleWrapper> groupedOutput,
                                                       java.lang.String[][][] hierarchies,
                                                       QualityDomainShare[] shares,
                                                       int[] indices,
                                                       QualityConfiguration config)

Creates a new instance

Parameters:
  `interrupt` -
  `progress` -
  `totalWorkload` -
  `input` -
  `output` -
  `suppressedInput` -
  `suppressedOutput` -
  `groupedInput` -
  `groupedOutput` -
  `hierarchies` -
  `shares` -
  `indices` -
  `config` -

### Method Detail

#### evaluate

    public QualityMeasureColumnOriented evaluate()

Evaluates the utility measure

Returns: